Subject: Re: request for documentation about branch surgery

From: Andreas Ericsson <[email-masked]>
Date: Tue, 07 Jul 2009 13:03:58 +0200

Bruno Haible wrote:
> Hi Junio,
> 
>> You learn new things every day, and today is such a day ;-)
>>
>>>   If you want to add a commit in the middle of a branch:
>>>
>>>             A---C---...---Z    master
>>>
>>>   =>
>>>
>>>             A---B---C---...---Z    master
>>>
>>>   it is achieved by
>>         $ git checkout master~25 ;# detach HEAD at A
>>         $ edit edit edit
>>         $ git commit ;# creates B
>>
>> which makes
>>
>>                B              HEAD (detached)
>>               /
>>              A---C---...---Z    master
>>
>> and then
>>
>>         $ git rebase HEAD master
>>
>> which reshapes the history into
>>
>>
>>                B---C'--...---Z' master
>>               /
>>              A---C---...---Z    master@{1}
>>
>> and you are done.
> 
> Cool! I wouldn't have guessed that. Now you wrote it into the mailing list
> archives. It would be even better if it were mentioned in the user's manual,
> chapter "Rewriting history and maintaining patch series"
> 

Anyone can submit patches. I find your persistent urging that someone else
do this for you slightly annoying. Now that you've been helped along the
way to understanding, it's your turn to do your bit and write up the info
you've received as a proper patch. This will help ensure that:
a) Other people can find the relevant information quickly
b) We won't have to answer the same questions again
c) You gain an even deeper understanding about how the various features
   actually work as your patches are submitted for review and improvements
   are suggested for them by the list members
d) We answer your questions again next time you have any

You can ofcourse refrain from submitting patches and just hope that d)
happens anyway. It probably will, but not indefinitely.

Thanks.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.